Page MenuHomePhabricator

Not all wikis are attached to the global username
Closed, InvalidPublic

Description

For example, in this screenshot, there were 11 wikis:

gadgetswiki
centralauthtestwiki
frwiki
frwiktionarywiki
gadgetsclientwiki
hewiki
loginwiki
mobilewiki
votewiki
wiki
zhwikivoyagewiki

but only 7 were attached:

centralauthtestwiki
gadgetsclientwiki
gadgetswiki
loginwiki
mobilewiki
votewiki
wiki

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 10 2016, 5:57 PM

Change 269595 had a related patch set uploaded (by Mattflaschen):
WIP: Fix CentralAuth issues

https://gerrit.wikimedia.org/r/269595

Is there a standard way to force a migration when the emails don't match?

I'm disentangling the Puppet dependencies to make the pre-defined users (such as Admin) have defined emails (so they can match), but I was wondering if there was another way.

Mattflaschen-WMF closed this task as Invalid.Feb 18 2016, 4:19 PM

I checked my database, and all of them are migrated now.

I think that as long as the parent T126480: localnames is not up to date because migratePass0 does not run is fixed (making localnames correct), it will get unified on login via password method (that's what my DB is showing), so I don't need to worry about emails.

Restricted Application added a subscriber: Cosine02. · View Herald TranscriptDec 15 2016, 4:17 PM